<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ResponseForRequest](./puppeteer.responseforrequest.md)

## ResponseForRequest interface

Required response data to fulfill a request with.

<b>Signature:</b>

```typescript
export interface ResponseForRequest 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [body](./puppeteer.responseforrequest.body.md) | string \| Buffer |  |
|  [contentType](./puppeteer.responseforrequest.contenttype.md) | string |  |
|  [headers](./puppeteer.responseforrequest.headers.md) | Record&lt;string, string&gt; |  |
|  [status](./puppeteer.responseforrequest.status.md) | number |  |

